Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

ambari server installation is not installing default postgres and oracle

Highlighted

ambari server installation is not installing default postgres and oracle

New Contributor

Hello All,

I local yum repository , and trying to install ambari server but its failing with dependency of postgress . as per the installation document yum install should bring default postgres DB and oracle ?

[root@cloud1 ~]# yum install ambari-server Loaded plugins: product-id, refresh-packagekit, security, subscription-manager This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register. Setting up Install Process Resolving Dependencies --> Running transaction check ---> Package ambari-server.x86_64 0:2.1.0-1470 will be installed --> Processing Dependency: postgresql-server >= 8.1 for package: ambari-server-2.1.0-1470.x86_64 --> Finished Dependency Resolution Error: Package: ambari-server-2.1.0-1470.x86_64 (Updates-ambari-2.1.0) Requires: postgresql-server >= 8.1 You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest [root@cloud1 ~]#

7 REPLIES 7

Re: ambari server installation is not installing default postgres and oracle

Expert Contributor

Hi,

Could you please update your hardware and software details.

Where you implementing it on server or VM.

Re: ambari server installation is not installing default postgres and oracle

Super Collaborator

Hi Srinivas,

Please check the logs in /var/log/ambari-server

Re: ambari server installation is not installing default postgres and oracle

New Contributor

HI Zkfs. iam running on VM . Red Hat Enterprise Linux Server release 6.7 (Santiago)

/var/log/ambari-server is not created as ambari is not yet installted.

installation failed during yum install itself

Re: ambari server installation is not installing default postgres and oracle

Expert Contributor

The following things to do

1) install ambari server

$yum install ambari-server

2) set up ambari

#ambari-server setup (both with root user)

While setup only it needs postgresql database.

Re: ambari server installation is not installing default postgres and oracle

@srinivas s

It looks like yum is not able to find the postgres-server package (supplied by the O/S repository). If you're using a local repo for HDP, I assume you don't have internet access to the public repos. If that is the case, you'll also need to set up a local repo for the O/S so that yum can resolve the dependencies that exist with the HDP packages. You can test connectivity to all of your repos by running:

# yum repolist

Re: ambari server installation is not installing default postgres and oracle

New Contributor

Hi Zkfs,

Yes i did the same , but yum install ambari server didnt install postgres sql . i had installed postress manually and proceedded with yum install of ambari server .

as per the documentation . ambari server should install dependent postgress RPM .

but this didnt happen in my case .

  1. Install the Ambari bits. This also installs the default PostgreSQL Ambari database.

    yum install ambari-server

  2. Enter y when prompted to to confirm transaction and dependency checks.

    A successful installation displays output similar to the following:

    Installing : postgresql-libs-8.4.20-3.el6_6.x86_64         1/4
    Installing : postgresql-8.4.20-3.el6_6.x86_64              2/4
    Installing : postgresql-server-8.4.20-3.el6_6.x86_64       3/4
    Installing : ambari-server-2.1.0-1470.x86_64               4/4
    Verifying  : ambari-server-2.1.0-1470.x86_64               1/4
    Verifying  : postgresql-8.4.20-3.el6_6.x86_64              2/4
    Verifying  : postgresql-server-8.4.20-3.el6_6.x86_64       3/4
    Verifying  : postgresql-libs-8.4.20-3.el6_6.x86_64         4/4
    
    Installed:
      ambari-server.x86_64 0:2.1.0-1470
    
    Dependency Installed:
     postgresql.x86_64 0:8.4.20-3.el6_6           
     postgresql-libs.x86_64 0:8.4.20-3.el6_6        
     postgresql-server.x86_64 0:8.4.20-3.el6_6
    
    
    

when i check the ambari server tar location there was no RPM for postgress , so i guess by default ambari server is nat pakaged with postgres PRM

Regards

Srinivas S

Re: ambari server installation is not installing default postgres and oracle

Mentor

Please try to install latest Ambari 2.2.2.0 version, Ambari 2.1 is not as stable, especially 2.1.0 where 2.1.2.1 is latest in 2.1.x branches. that said, you also need to enable RHEL repos, you may need to contact your Linux Admin group, your OS packages are not being propagated to this machine. you have an OS message below. Once done, you should be able to find your postgres versions. I highly recommend Postgres 9.x as 8 is on the way out.

This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register
Don't have an account?
Coming from Hortonworks? Activate your account here